{
  "format_version": "1.20.10",
  "minecraft:block": {
      "description": {
          "identifier": "rc:vein_acacia"
      },
      "components": {
        "minecraft:loot": "loot_tables/vein/acacia_vein.json",
          "minecraft:material_instances": {
              "*": {
                  "texture": "png",
                  "render_method": "alpha_test"
              }
          },
          "minecraft:geometry": "geometry.six_faces_block",
          "minecraft:selection_box": {
              "origin": [ -8, 0, -8 ],
              "size": [ 0, 0, 0 ]
          },
          "minecraft:collision_box": {
              "origin": [ -8, 0, -8 ],
              "size": [ 0, 0, 0 ]
          },
          "minecraft:queued_ticking": {
             "looping": true,
             "interval_range": [0, 0],
             "on_tick": {
               "event": "conexao"
             }
           },
            "minecraft:destructible_by_mining": false,
          "minecraft:light_dampening": 0
      },
      "events": {
  "conexao": {
  "run_command":{
            "command":[
              "fill ~1~1~1 ~-1~-1~-1 rc:vein_acacia replace acacia_log",
              "setblock ~~~ air destroy"
      ]
    }
  }
},
"permutations": [
    ]
  } 
}